Previous: va_arg-trad, Up: Varargs [Contents][Index]

#### 13.2.4 Abandon a variable argument list

Synopsis

    #include <varargs.h>
    va_end(va_list ap);

Description
Use `va_end` to declare that your program will not use the variable argument list ap any further.

Returns
`va_end` does not return a result.

Portability
The `va_end` defined in `varargs.h` has the same syntax and usage as the ANSI C version from `stdarg.h`.